| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
Digikam::ChoiceSearchComboBox Class Reference
Inheritance diagram for Digikam::ChoiceSearchComboBox:

## Signals
void | checkStateChanged ()

## Public Member Functions
| ChoiceSearchComboBox (QWidget *const parent=nullptr)
| A combo box for entering a choice of values.
DSqueezedClickLabel * | label () const
ChoiceSearchModel * | model () const
void | setLabelText (const QString &text)
| Updates the text on the line edit area.
void | setSearchModel (ChoiceSearchModel *model)
| Sets the model and initializes the widget.
Public Member Functions inherited from Digikam::ListViewComboBox
| ListViewComboBox (QWidget *parent=nullptr)
| This class provides an implementation of a StayPoppedUpComboBox with a QListView.
QListView * | view () const
| Returns the QTreeView of this class.
Public Member Functions inherited from Digikam::StayPoppedUpComboBox
| StayPoppedUpComboBox (QWidget *const parent=nullptr)
| This class provides an abstract QComboBox with a custom view (which is created by implementing subclasses) instead of the usual QListView.
Public Member Functions inherited from Digikam::ModelIndexBasedComboBox
| ModelIndexBasedComboBox (QWidget *const parent=nullptr)
| QComboBox has a current index based on a single integer.
QModelIndex | currentIndex () const
void | hidePopup () override
void | setCurrentIndex (const QModelIndex &index)
void | showPopup () override

## Protected Slots
void | labelClicked ()

## Protected Member Functions
void | installView (QAbstractItemView *view=nullptr) override
| Replace the standard combo box list view with a QTreeView.
Protected Member Functions inherited from Digikam::ListViewComboBox
void | sendViewportEventToView (QEvent *e) override
| Implement in subclass: Send the given event to the viewportEvent() method of m_view.
Protected Member Functions inherited from Digikam::StayPoppedUpComboBox
bool | eventFilter (QObject *watched, QEvent *event) override
void | installView (QAbstractItemView *view)
| Replace the standard combo box list view with the given view.

## Protected Attributes
DSqueezedClickLabel * | m_label = nullptr
Protected Attributes inherited from Digikam::StayPoppedUpComboBox
QAbstractItemView * | m_view = nullptr
Protected Attributes inherited from Digikam::ModelIndexBasedComboBox
QPersistentModelIndex | m_currentIndex

## Constructor & Destructor Documentation

## ◆ ChoiceSearchComboBox()

Digikam::ChoiceSearchComboBox::ChoiceSearchComboBox | ( | QWidget *const | parent = `nullptr` | ) |
| explicit

Operates on a ChoiceSearchModel. After constructing the object, call setModel with your model.

## Member Function Documentation

## ◆ installView()

void Digikam::ChoiceSearchComboBox::installView | ( | QAbstractItemView * | view = `nullptr` | ) |
| override protected virtual

Call this after installing an appropriate model.

Reimplemented from Digikam::ListViewComboBox.

## ◆ setSearchModel()

void Digikam::ChoiceSearchComboBox::setSearchModel | ( | ChoiceSearchModel * | model | ) |

Can only be called once for a widget.